Package org.drinkless.tdlib

# Class TdApi.GetStoryPublicForwards

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.PublicForwards>
org.drinkless.tdlib.TdApi.GetStoryPublicForwards

Enclosing class:
  `TdApi`

public static class TdApi.GetStoryPublicForwards extends TdApi.Function<TdApi.PublicForwards>
Returns forwards of a story as a message to public chats and reposts by public channels. Can be used only if the story is posted on behalf of the current user or story.canGetStatistics == true. For optimal performance, the number of returned messages and stories is chosen by TDLib.

Returns `PublicForwards`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of messages and stories to be returned; must be positive and can't be greater than 100.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `int`
  `storyId`
  The identifier of the story.
  `long`
  `storyPosterChatId`
  The identifier of the poster of the story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetStoryPublicForwards()`
  Default constructor for a function, which returns forwards of a story as a message to public chats and reposts by public channels.
  `GetStoryPublicForwards(long storyPosterChatId, int storyId, String offset, int limit)`
  Creates a function, which returns forwards of a story as a message to public chats and reposts by public channels.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyPosterChatId

    public long storyPosterChatId
    The identifier of the poster of the story.

  - ### storyId

    public int storyId
    The identifier of the story.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of messages and stories to be returned; must be positive and can't be greater than 100. For optimal performance, the number of returned objects is chosen by TDLib and can be smaller than the specified limit.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetStoryPublicForwards

    public GetStoryPublicForwards()
    Default constructor for a function, which returns forwards of a story as a message to public chats and reposts by public channels. Can be used only if the story is posted on behalf of the current user or story.canGetStatistics == true. For optimal performance, the number of returned messages and stories is chosen by TDLib.

    Returns `PublicForwards`

  - ### GetStoryPublicForwards

    public GetStoryPublicForwards(long storyPosterChatId, int storyId, String offset, int limit)
    Creates a function, which returns forwards of a story as a message to public chats and reposts by public channels. Can be used only if the story is posted on behalf of the current user or story.canGetStatistics == true. For optimal performance, the number of returned messages and stories is chosen by TDLib.

    Returns `PublicForwards`

    Parameters:
      `storyPosterChatId` - The identifier of the poster of the story.
      `storyId` - The identifier of the story.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of messages and stories to be returned; must be positive and can't be greater than 100. For optimal performance, the number of returned objects is chosen by TDLib and can be smaller than the specified limit.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.PublicForwards>`
    Returns:
      this.CONSTRUCTOR